import * as React from 'react'

import { MIN_WIDTH_GBA, MIN_HEIGHT_GBA } from '@msgba/constants'

export interface CanvasGBAEmulatorProps {
    canvasRef: React.RefObject<HTMLCanvasElement>
}

export default function CanvasGBAEmulator (props: CanvasGBAEmulatorProps): JSX.Element {
    return (<canvas ref={props.canvasRef} width={MIN_WIDTH_GBA} height={MIN_HEIGHT_GBA}></canvas>)
}
