import * as React from 'react';

import {CLOSE_BUTTON_IMAGE} from '/constants';

export interface CloseButtonProps {
    onClick: () => void;
};
export default function CloseButton({onClick}: CloseButtonProps) {
    return (
        <a onClick={onClick} href="#"><img src={CLOSE_BUTTON_IMAGE} alt="Close button, a common 'x'"/></a>
    );
}
